Bug 735384 - Qpid JCA Adapter -- ActivationSpec property ClientID non-standard
Summary: Qpid JCA Adapter -- ActivationSpec property ClientID non-standard
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-jca
Version: 2.0
Hardware: All
OS: All
low
low
Target Milestone: 2.1.2
: ---
Assignee: messaging-bugs
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 14:42 UTC by Weston M. Price
Modified: 2016-02-22 00:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-07 17:43:30 UTC


Attachments (Terms of Use)

Description Weston M. Price 2011-09-02 14:42:07 UTC
As per the JCA specification, the recommended JMS ActivationSpec property

clientId 

does not match the QpidActivationSpec property 

ClientID

Some application servers, most notably Geronimo follow the recommendations to the letter. As such, with the new example code, which includes a Topic example, this will not deploy correctly in Geronimo. We need to modify this property to be in line with the JMS ActivationSpec recommendation. 

This needs to be modified in ra.xml, as well as on the implementation classes.

Comment 1 Andrew Stitcher 2011-09-22 13:30:51 UTC
This has been fixed in package qpid-java-jca-0.10-10


Note You need to log in before you can comment on or make changes to this bug.